@extends('layout')


@section('content')

<div class="page-header page-header-default">
	<div class="breadcrumb-line">
		<ul class="breadcrumb">
			<li><a href="index.html"><i class="icon-home2 position-left"></i> Master</a></li>
			<li>Produksi</li>
			<li class="active">Lokasi Produksi</li>
		</ul>
	</div>
</div>

<div class="content">
	<div class="panel panel-flat">
		<div class="panel-heading">
			<h5 class="panel-title">Lokasi Produksi</h5>
			<div class="heading-elements">
				<ul class="icons-list">
		      		<li><a data-action="collapse"></a></li>
		      	</ul>
	       	</div>
	    </div>
	    <div class="panel-body">
	    	<button class="btn btn-primary" type="button" id="btn_tambah">Tambah</button>
	    </div>
	    <table class="table table-striped tabel_lokasi">
	    	<thead>
				<tr>
					<th width="5%">No</th>
					<th width="20%">Nama</th>
					<th width="40%">Keterangan</th>
					<th width="20%">Alamat</th>
					<th class="text-center">Aksi</th>
				</tr>
			</thead>
			<tbody>
				
			</tbody>
	    </table>
	</div>
</div>

<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
	<div class="modal-dialog" role="document">
	    <div class="modal-content">
	    	<div class="modal-header">
	    		<h5 class="modal-title" id="exampleModalLabel">Data</h5>
	    		<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span></button>
	      	</div>
	      	<div class="modal-body">
	      		<form class="form-horizontal" autocomplete="off" id="form_lokasi">
	      			<input type="hidden" name="id_lokasi">
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Nama Lokasi</label>
	      				<div class="col-sm-8">
	      					<input type="text" name="popup_nama" class="form-control">
	      				</div>
	      			</div>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Keterangan</label>
	      				<div class="col-sm-8">
	      					
	      					<textarea class="form-control" name="popup_keterangan" rows="2"></textarea>
	      				</div>
	      			</div>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Alamat</label>
	      				<div class="col-sm-8">
	      					<textarea class="form-control" name="popup_alamat"></textarea>
	      				</div>
	      			</div>
	      		</form>
	      	</div>
	      	<div class="modal-footer">
	        	<button type="button" class="btn btn-primary" id="btn_popup_simpan">Simpan</button>
	      	</div>
	    </div>
	</div>
</div>

<script type="text/javascript">
	var tabel_lokasi;

	$(document).ready(function(){
		tabel_lokasi = $(".tabel_lokasi").DataTable({
			processing: true,
	        serverSide: true,
	        ajax: '{{ url('lokasi_produksi/get_lokasi') }}',
	        columns: [
	            {data: 'id_lokasi', name: 'id_lokasi', orderable: false, searchable: false, render : function(data, type, full, meta){
			  		return meta.row+1;
			  	}},
	            {data: 'nama_lokasi', name: 'nama_lokasi'},
	            {data: 'keterangan', name: 'keterangan'},
	            {data: 'alamat', name: 'alamat'},
	            {data: 'aksi', name: 'aksi', orderable: false, searchable: false}
	        ],
		});
	})

	$("#btn_tambah").click(function(){
		$("[name=id_lokasi]").val('');
		$("[name=popup_nama]").val('');
		$("[name=popup_keterangan]").val('');
		$("[name=popup_alamat]").val('');
		$("#exampleModal").modal('show');
		 
	})


	function edit(id){
		$.ajax({
			url: '{{ url('lokasi_produksi/get_edit') }}',
			type: 'post',
			dataType: 'json',
			headers : {
				'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			},
			data: {id : id},
			success: function(respon){
				$("[name=id_lokasi]").val(respon.id_lokasi);
				$("[name=popup_nama]").val(respon.nama_lokasi);
				$("[name=popup_keterangan]").val(respon.keterangan);
				$("[name=popup_alamat]").val(respon.alamat);

				$("#exampleModal").modal('show');
			}
		})
	}

	$("#btn_popup_simpan").click(function(){
		var id = $("[name=id_lokasi]").val();
		var nama = $("[name=popup_nama]").val();
		var ket = $("[name=popup_keterangan]").val();
		var alamat = $("[name=popup_alamat]").val();

		if(nama != '' && ket != '' && alamat != ''){
			$.ajax({
				url: "{{ url('lokasi_produksi/simpan') }}",
				type: 'post',
				dataType: 'json',
				headers : {
					'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
				},
				data: $("#form_lokasi").serialize(),
				success: function(respon){
					tabel_lokasi.ajax.reload();
					$("#exampleModal").modal('hide');
				}
			})
		}
	})

	function hapus(id){
		swal({
			title: 'Anda yakin akan menghapus item ini?',
			type: 'warning',
			showCancelButton: true,
			confirmButtonColor: '#3085d6',
			cancelButtonColor: '#d33',
			confirmButtonText: 'Ya',
			cancelButtonText: 'Tidak',
		}).then((result) => {
		 	if(result.value){
		 		$.ajax({
					url: "{{ url('lokasi_produksi/hapus')}} ",
					type: 'post',
					data: {id : id},
					headers : {
						'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
					},
					success: function(respon){
						tabel_lokasi.ajax.reload();
					}
				})
		 	}
		})
	}
</script>

@endsection